> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a worklog

> Creates a new worklog entry for a work item.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>The unique identifier of the project</ParamField>

<ParamField path="work_item_id" type="string" required>The unique identifier of the work item</ParamField>

## Body parameters

<ParamField body="description" type="string" required>Description of the work done during the worklog.</ParamField>
<ParamField body="duration" type="integer" required>Time spent on the issue in minutes.</ParamField>

## Response

```json theme={null}
    {
        "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "created_at": "2025-01-29T21:27:54.197306+05:30",
        "updated_at": "2025-01-29T21:27:54.197320+05:30",
        "description": "Added user story",
        "duration": 2,
        "created_by": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "updated_by": null,
        "project_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "workspace_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "logged_by": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
    }
```
